<?php
/**
 * @version		1.0.0
 * @package		Joomla
 * @subpackage	Docman2Edocman
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2011 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */

// No direct access
defined('_JEXEC') or die;

class Docman2EdocmanController extends JControllerLegacy
{	
	public function display($cachable = false, $urlparams = false) {		
		$view = JRequest::getVar('view', 'configuration');
		JRequest::setVar('view', $view);
		Docman2EDocmanHelper::addSubMenus($view);
		parent::display() ;
	}
	
	public function process_migrate() {		
		$model =  $this->getModel('migrate');
		$model->processMigrate();
		$numberDocuments = JRequest::getInt('number_documents') ;
		$numberCategories = JRequest::getInt('number_categories') ;
		$url = 'index.php?option=com_docman2edocman&view=dashboard';
		$msg = JText::_("Categories and Documents From Docman were migrated to EDocman successfully") ;
		
		$this->setRedirect($url, $msg);
	}

	public function save_configuration() {
		$model = $this->getModel('configuration') ;
		$data = JRequest::get('post', JREQUEST_ALLOWRAW) ;
		$model->store($data);
		
		$this->setRedirect('index.php?option=com_docman2edocman&view=configuration', JText::_('Configuration data were successfully saved')) ;
	}
	
	
	
}